[arch-commits] Commit in inkscape/repos (3 files)

Eric Belanger eric at archlinux.org
Thu Sep 4 01:58:11 UTC 2008


    Date: Wednesday, September 3, 2008 @ 21:58:11
  Author: eric
Revision: 11820

Merged revisions 763-11819 via svnmerge from 
svn+ssh://svn.archlinux.org/home/svn-packages/inkscape/trunk

........
  r11772 | giovanni | 2008-09-03 04:17:08 -0400 (Wed, 03 Sep 2008) | 1 line
  
  Added patch to avoid crash importing a pdf file
........
  r11811 | giovanni | 2008-09-03 14:05:56 -0400 (Wed, 03 Sep 2008) | 2 lines
  
  upgpkg: inkscape 0.46-6
      Added --with-gnome-vfs
........

Added:
  inkscape/repos/extra-x86_64/inkscape-0.46-poppler-0.8.3.patch
    (from rev 11811, inkscape/trunk/inkscape-0.46-poppler-0.8.3.patch)
Modified:
  inkscape/repos/extra-x86_64/	(properties)
  inkscape/repos/extra-x86_64/PKGBUILD

-----------------------------------+
 PKGBUILD                          |   14 ++++++------
 inkscape-0.46-poppler-0.8.3.patch |   42 ++++++++++++++++++++++++++++++++++++
 2 files changed, 50 insertions(+), 6 deletions(-)


Property changes on: inkscape/repos/extra-x86_64
___________________________________________________________________
Name: svnmerge-integrated
   - /inkscape/trunk:1-762
   + /inkscape/trunk:1-11819

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2008-09-04 01:37:20 UTC (rev 11819)
+++ extra-x86_64/PKGBUILD	2008-09-04 01:58:11 UTC (rev 11820)
@@ -4,25 +4,27 @@
 
 pkgname=inkscape
 pkgver=0.46
-pkgrel=4
+pkgrel=6
 pkgdesc="A vector-based drawing program - svg compliant"
 url="http://inkscape.sourceforge.net/"
-arch=(i686 x86_64)
+arch=('i686' 'x86_64')
 license=('GPL' 'LGPL')
 depends=('gtkmm>=2.12.6' 'gc>=7.0' 'desktop-file-utils' 'libxslt>=1.1.22' \
          'perl>=5.10.0' 'pyxml' 'openssl>=0.9.8d' 'lcms' 'gtkspell' 'poppler-glib>=0.8.0' \
-         'imagemagick>=6.4.0.2' 'popt')
+         'imagemagick>=6.4.0.2' 'popt' 'gnome-vfs')
 makedepends=('perlxml' 'pkgconfig' 'boost')
 options=('!libtool')
 install=inkscape.install
 source=("http://downloads.sourceforge.net/sourceforge/${pkgname}/${pkgname}-${pkgver}.tar.gz"
-        perl-5.10.patch)
+        perl-5.10.patch inkscape-0.46-poppler-0.8.3.patch)
 md5sums=('3bae9034047379012127e52f9b138d32'
-         'da1009efea12f6512e69cc3ec8604f4f')
+         'da1009efea12f6512e69cc3ec8604f4f'
+         'fffe7ed73bdadcf0f90282d5afc4df30')
 
 build() {
   cd ${startdir}/src/${pkgname}-${pkgver}
   patch -Np1 -i ../perl-5.10.patch || return 1
+  patch -Np1 -i ../inkscape-0.46-poppler-0.8.3.patch || return 1
   CFLAGS="${CFLAGS} -I/usr/include/ImageMagick" \
   CXXFLAGS="${CXXFLAGS} -I/usr/include/ImageMagick" \
    ./configure --prefix=/usr \
@@ -32,7 +34,7 @@
     --with-xft \
     --with-python \
     --with-perl \
-    --without-gnome-vfs || return 1
+    --with-gnome-vfs || return 1
   make || return 1
   make DESTDIR=${startdir}/pkg install || return 1
 }

Copied: inkscape/repos/extra-x86_64/inkscape-0.46-poppler-0.8.3.patch (from rev 11811, inkscape/trunk/inkscape-0.46-poppler-0.8.3.patch)
===================================================================
--- extra-x86_64/inkscape-0.46-poppler-0.8.3.patch	                        (rev 0)
+++ extra-x86_64/inkscape-0.46-poppler-0.8.3.patch	2008-09-04 01:58:11 UTC (rev 11820)
@@ -0,0 +1,42 @@
+diff -NrU5 inkscape-0.46.orig/src/extension/internal/pdfinput/pdf-parser.cpp inkscape-0.46/src/extension/internal/pdfinput/pdf-parser.cpp
+--- inkscape-0.46.orig/src/extension/internal/pdfinput/pdf-parser.cpp	2008-06-05 00:26:20.000000000 +0200
++++ inkscape-0.46/src/extension/internal/pdfinput/pdf-parser.cpp	2008-06-05 00:51:47.000000000 +0200
+@@ -2194,11 +2194,11 @@
+ void PdfParser::doShowText(GooString *s) {
+   GfxFont *font;
+   int wMode;
+   double riseX, riseY;
+   CharCode code;
+-  Unicode u[8];
++  Unicode *u = NULL;
+   double x, y, dx, dy, dx2, dy2, curX, curY, tdx, tdy, lineX, lineY;
+   double originX, originY, tOriginX, tOriginY;
+   double oldCTM[6], newCTM[6];
+   double *mat;
+   Object charProc;
+@@ -2242,11 +2242,11 @@
+     oldParser = parser;
+     p = s->getCString();
+     len = s->getLength();
+     while (len > 0) {
+       n = font->getNextChar(p, len, &code,
+-			    u, (int)(sizeof(u) / sizeof(Unicode)), &uLen,
++			    &u, &uLen,
+ 			    &dx, &dy, &originX, &originY);
+       dx = dx * state->getFontSize() + state->getCharSpace();
+       if (n == 1 && *p == ' ') {
+ 	dx += state->getWordSpace();
+       }
+@@ -2291,11 +2291,11 @@
+     state->textTransformDelta(0, state->getRise(), &riseX, &riseY);
+     p = s->getCString();
+     len = s->getLength();
+     while (len > 0) {
+       n = font->getNextChar(p, len, &code,
+-			    u, (int)(sizeof(u) / sizeof(Unicode)), &uLen,
++			    &u, &uLen,
+ 			    &dx, &dy, &originX, &originY);
+       
+       if (wMode) {
+ 	dx *= state->getFontSize();
+ 	dy = dy * state->getFontSize() + state->getCharSpace();




More information about the arch-commits mailing list